<?php if(!defined('PLX_ROOT')) exit; ?>
<?php

# Control du token du formulaire
plxToken::validateFormToken($_POST);

$theme = array(
					"black&white" => array(
							"white"					=> array("defaut" => "FFFFFF",	"value" => ""),
							"white_med"				=> array("defaut" => "FAFAFA",	"value" => ""),
							"white_dark"			=> array("defaut" => "EDEDED",	"value" => ""),
							"grey_light"			=> array("defaut" => "D6D6D6",	"value" => ""),
							"grey_med"				=> array("defaut" => "888888",	"value" => ""),
							"grey_dark"				=> array("defaut" => "555555",	"value" => ""),
							"black"					=> array("defaut" => "000000",	"value" => ""),
							),
					"blue" => array(
							"blue_light"			=> array("defaut" => "dbedf9",	"value" => ""),
							"blue_med"				=> array("defaut" => "258fd6",	"value" => ""),
							"blue_dark"				=> array("defaut" => "0F3A56",	"value" => ""),
							),
					"green" => array(
							"green_light"			=> array("defaut" => "d3f5e2",	"value" => ""),
							"green_med"				=> array("defaut" => "239c56",	"value" => ""),
							"green_dark"			=> array("defaut" => "18693A",	"value" => ""),
							),
					"orange" => array(
							"orange_light"			=> array("defaut" => "fbe8d9",	"value" => ""),
							"orange_med"			=> array("defaut" => "da7418",	"value" => ""),
							"orange_dark"			=> array("defaut" => "5A300A",	"value" => ""),
							),
					"red" => array(
							"red_light"				=> array("defaut" => "fce4e2",	"value" => ""),
							"red_med"				=> array("defaut" => "e43d29",	"value" => ""),
							"red_dark"				=> array("defaut" => "641B12",	"value" => ""),
							),
					"divers" => array(
							"mark_color"			=> array("defaut" => "FF0",	"value" => ""),
							),
					);

if(!empty($_POST)) {
	$listColor = array();
	foreach($theme as $groupe => $tab){
		foreach($tab as $var => $color){
			$plxPlugin->setParam($var, $_POST[$var], 'string');
			$listColor[$var] = $_POST[$var]; // création du tableau des valeurs pour l'envoyer en SESSION
		}
	}

	$plxPlugin->saveParams();
	
	// on enregistre les couleurs dans la session
	session_start();
	$_SESSION["pimpMyColor"] = $listColor;

	ob_start();
	include(dirname(__FILE__).'/style.php');
	$myCSS = ob_get_clean();
	$filename = 'pimpMyColor.css';
	
	
	if(plxUtils::write($myCSS, PLX_PLUGINS.'/pimpMyColor/css/'.$filename))
		plxMsg::Info(L_SAVE_FILE_SUCCESSFULLY);
	else
		plxMsg::Error(L_SAVE_FILE_ERROR);
	
	header('Location: plugin.php?p=pimpMyColor');
	exit;
}

foreach($theme as $groupe => $tab){
	foreach($tab as $var => $color){
		if($plxPlugin->getParam($var)!=""){
			$theme[$groupe][$var]['value'] = $plxPlugin->getParam($var);
		}else{
			$theme[$groupe][$var]['value'] = $theme[$groupe][$var]['defaut'];
		}
	}
}

?>
<div class="grid">
<p>Suivez la discussion en lien avec <a href="http://forum.pluxml.org/viewtopic.php?pid=47102">le plugin sur le forum de pluxml</a></p>
<form id="form_pimpMyColor" action="plugin.php?p=pimpMyColor" method="post" class="col sml-12 med-6">
	
<?php foreach($theme as $groupe => $tab): ?>
	<fieldset class="pimpMyColor">
		<legend><?php echo $groupe; ?></legend>
		<ul>
	<?php foreach($tab as $var => $color){
		echo "\t<li>\n";
			echo "\t\t<label for=\"id_".$var."\">\n".$plxPlugin->getlang($var)." :</label>\n";
			plxUtils::printInput($var,$theme[$groupe][$var]['value'],'text','6-6');
			echo "\t\t<div style=\"background-color:#".$theme[$groupe][$var]['value']."\"></div>\n";
		echo "\t</li>\n";
	}
	?>
		</ul>
	</fieldset>
<?php endforeach; ?>

	
	<fieldset>
	<p class="in-action-bar">
		<?php echo plxToken::getTokenPostMethod() ?>
		<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
	</p>
	</fieldset>
</form>

<?php include(dirname(__FILE__).'/sample.php'); ?>

</div>